%define upstream_name    File-Path-Expand
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Expand filenames
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
File::Path::Expand expands user directories in filenames. For the simple
case it's no more complex than s{^~/}{$HOME/}, but for other cases it
consults 'getpwent' and does the right thing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.20.0-11.mga10
+ Revision: 2198728
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.20.0-10.mga9
+ Revision: 1803634
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1494493
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1268155
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1027428
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 933132
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 750936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 684748
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 511644
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 367294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 16 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 99255
- imported package perl-File-Path-Expand


* Mon May 16 2011 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
